from pydantic_xml import BaseXmlModel, element

from openec2.db.instance import Instance
from openec2.api.shared import InstanceState
from openec2.api.describe_instances import InstanceDescription

class RunInstanceInstanceSet(BaseXmlModel):
    item: list[InstanceDescription] = element()

class RunInstanceResponse(BaseXmlModel):
    request_id: str = element(tag="requestId")

    instance_set: RunInstanceInstanceSet = element(tag="instanceSet")
